Examples

GET /api/hostgroups/928644303
200
{
  "content_source_id": null,
  "content_source_name": null,
  "content_view_id": 1058174806,
  "content_view_name": "Database300",
  "lifecycle_environment_id": 1028819316,
  "lifecycle_environment_name": "Library",
  "content_view_environment_id": 881278685,
  "kickstart_repository_id": null,
  "subnet_id": null,
  "subnet_name": null,
  "operatingsystem_id": null,
  "operatingsystem_name": null,
  "domain_id": null,
  "domain_name": null,
  "compute_profile_id": null,
  "compute_profile_name": null,
  "ancestry": null,
  "parent_id": null,
  "parent_name": null,
  "ptable_id": null,
  "ptable_name": null,
  "medium_id": null,
  "medium_name": null,
  "pxe_loader": null,
  "subnet6_id": null,
  "subnet6_name": null,
  "compute_resource_id": null,
  "compute_resource_name": null,
  "architecture_id": null,
  "architecture_name": null,
  "realm_id": null,
  "realm_name": null,
  "created_at": "2026-11-03 08:11:36 UTC",
  "updated_at": "2026-11-03 08:11:36 UTC",
  "id": 928644303,
  "name": "TestShowHG",
  "title": "TestShowHG",
  "description": null,
  "puppet_proxy_id": null,
  "puppet_proxy_name": null,
  "puppet_ca_proxy_id": null,
  "puppet_ca_proxy_name": null,
  "puppet_proxy": null,
  "puppet_ca_proxy": null,
  "inherited_compute_profile_id": null,
  "inherited_domain_id": null,
  "inherited_puppet_proxy_id": null,
  "inherited_puppet_ca_proxy_id": null,
  "inherited_compute_resource_id": null,
  "inherited_operatingsystem_id": null,
  "inherited_architecture_id": null,
  "inherited_medium_id": null,
  "inherited_ptable_id": null,
  "inherited_subnet_id": null,
  "inherited_subnet6_id": null,
  "inherited_realm_id": null,
  "inherited_pxe_loader": null,
  "parameters": [],
  "template_combinations": [],
  "locations": [],
  "organizations": [
    {
      "id": 375,
      "name": "Organization375",
      "title": "Organization375",
      "description": null
    }
  ]
}

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Integer

id
required

Validations:

  • string from 2 to 128 characters containing only alphanumeric characters, space, ‘_’, ‘-’ with no leading or trailing space..

show_hidden_parameters
optional

Display hidden parameter values

Validations:

  • Must be one of: true, false, 1, 0.